Page MenuHomePhabricator

Document quibble learnings
Closed, ResolvedPublic

Description

Document what we learned fighting T200693 et. al

  • default mount of /log wrong in readme
  • possibility to run the docker command with --env-file to be able to shorten the very long command needed to pin to a specific change (e.g. your gerrit patch parameters)
  • ability to dump mysql logs after runs
  • need to remove src/LocalSettings.php between --skip-zuul --skip-deps runs
  • link in the readme (as seen on github) to point to the documentation containing usage documentation
  • send summary to wmde-tech devs

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2018, 9:50 AM
Pablo-WMDE updated the task description. (Show Details)Aug 2 2018, 9:57 AM
Pablo-WMDE updated the task description. (Show Details)
Pablo-WMDE updated the task description. (Show Details)Aug 2 2018, 10:00 AM
Pablo-WMDE updated the task description. (Show Details)Aug 2 2018, 10:11 AM
Pablo-WMDE updated the task description. (Show Details)Aug 2 2018, 3:53 PM
Pablo-WMDE updated the task description. (Show Details)Aug 2 2018, 4:12 PM
Pablo-WMDE updated the task description. (Show Details)Aug 3 2018, 9:27 AM
Jakob_WMDE updated the task description. (Show Details)Aug 8 2018, 10:26 AM
Jakob_WMDE updated the task description. (Show Details)Aug 8 2018, 10:29 AM
Jakob_WMDE updated the task description. (Show Details)

Change 452335 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[integration/quibble@master] readme: how to reproduce a CI build

https://gerrit.wikimedia.org/r/452335

Change 452384 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[integration/quibble@master] mysql: add ability to dump before exit

https://gerrit.wikimedia.org/r/452384

Will send the summary once the documentation contains the bits we added.

hashar added a project: Quibble.

@Pablo-WMDE: Any plans to make changes to https://gerrit.wikimedia.org/r/c/integration/quibble/+/452335/2 ?

I'd be happy to take a look at this too if you think it needs a fresh pair of eyes.

Particularly differentiating between what we do with multiple changes and the lack of access to contint2001 / a local zuul-merger

Pablo-WMDE added a comment.EditedAug 28 2018, 7:45 AM

@Tarrow It got some scattered attention, but given that in theory it should not work (per the review comments) it's almost down to trying which parameter (combinations) are key. But given that it did something for us, maybe we should not make too much of it and just suggest it again with the definitely defunct ones removed. Definitely still on my list.

Change 452384 merged by jenkins-bot:
[integration/quibble@master] mysql: add ability to dump before exit

https://gerrit.wikimedia.org/r/452384

Change 455860 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: quibble 0.0.22

https://gerrit.wikimedia.org/r/455860

Change 455860 merged by jenkins-bot:
[integration/config@master] docker: quibble 0.0.22

https://gerrit.wikimedia.org/r/455860

Change 455861 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch Jenkins jobs to Quibble 0.0.22 containers

https://gerrit.wikimedia.org/r/455861

Change 455861 merged by jenkins-bot:
[integration/config@master] Switch Jenkins jobs to Quibble 0.0.22 containers

https://gerrit.wikimedia.org/r/455861

Addshore triaged this task as Low priority.Oct 9 2018, 10:11 AM

Change 452335 merged by jenkins-bot:
[integration/quibble@master] readme: how to reproduce a CI build

https://gerrit.wikimedia.org/r/452335